%define upstream_name    PerlIO-gzip
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl extension to provide a PerlIO layer to gzip/gunzip
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/N/NW/NWCLARK/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     %{upstream_name}-0.14-no_strict_warnings.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: pkgconfig(zlib)

%{?perl_default_filter}

%description
PerlIO::gzip provides a PerlIO layer that manipulates files in the format used
by the gzip program. Compression and Decompression are implemented, but not
together. If you attempt to open a file for reading and writing the open will
fail.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorarch}/PerlIO
%{perl_vendorarch}/auto/PerlIO


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.200.0-7.mga8
+ Revision: 1595138
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.200.0-6.mga8
+ Revision: 1530012
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.200.0-5.mga8
+ Revision: 1433873
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.200.0-4.mga7
+ Revision: 1293655
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.200.0-3.mga7
+ Revision: 1249258
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.200.0-2.mga7
+ Revision: 1166171
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 sander85 <sander85> 0.200.0-1.mga7
+ Revision: 1158468
- update to 0.20

* Thu Aug 31 2017 pterjan <pterjan> 0.190.0-6.mga7
+ Revision: 1149105
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.190.0-5.mga7
+ Revision: 1127398
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-4.mga6
+ Revision: 1031974
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.190.0-3.mga6
+ Revision: 957881
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.190.0-2.mga6
+ Revision: 845114
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.190.0-1.mga6
+ Revision: 841809
- update to 0.19

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-13.mga5
+ Revision: 745199
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.180.0-12.mga5
+ Revision: 733256
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-11.mga5
+ Revision: 685960
- Mageia 5 Mass Rebuild

* Thu Jun 05 2014 jquelin <jquelin> 0.180.0-10.mga5
+ Revision: 633378
- fix build with perl 5.20
- perl 5.20.0 rebuild
+ pterjan <pterjan>
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-8.mga4
+ Revision: 524084
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.180.0-7.mga4
+ Revision: 429995
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-6.mga3
+ Revision: 371790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.180.0-5.mga3
+ Revision: 251058
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.180.0-4.mga2
+ Revision: 104913
- Rebuild for perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.180.0-3.mga1
+ Revision: 13958
- imported package perl-PerlIO-gzip


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.180.0-3mdv2011.0
+ Revision: 564574
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.180.0-2mdv2011.0
+ Revision: 556072
- rebuild for perl 5.12

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.180.0-1mdv2010.1
+ Revision: 407959
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.18-3mdv2009.0
+ Revision: 223954
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.18-2mdv2008.1
+ Revision: 152232
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 0.18-1mdv2007.0
+ Revision: 93976
- 0.18

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.17-4mdv2007.0
+ Revision: 53862
- rebuild
- Import perl-PerlIO-gzip

* Fri Feb 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.17-3mdk
- Rebuild, spec cleanup

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.17-2mdk
- Rebuild for new perl

* Thu Jul 01 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.17-1mdk
- 0.17.

* Wed Apr 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.15-3mdk
- rebuild for new perl

